/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pr2_cv2_2.balik;

import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author kuchajar
 */
public class VozovyPark {
    List<IDopravniProstredek> seznam = new LinkedList<IDopravniProstredek>();

    public VozovyPark() {
        seznam.add(new Kolo(10));
        seznam.add(new Kolo(12));
        seznam.add(new Dodavka(3000));
        seznam.add(new Dodavka(2000));
        seznam.add(new Pickup(1000));
    }

    public IDopravniProstredek najdi(Zasilka z, int vzdalenost){
        /*
        IDopravniProstredek min = seznam.get(0);
        double minCena = min.getCenaZaDoruceni(vzdalenost);
         *
         */
        IDopravniProstredek min = null;
        double minCena = Double.MAX_VALUE;
        for (IDopravniProstredek dp : seznam) {
            if(dp.getNosnost()>z.getHmotnost() && dp.getCenaZaVzdalenost(vzdalenost)<minCena){
                minCena = dp.getCenaZaVzdalenost(vzdalenost);
                min = dp;
            }
        }
        return min;
        
    }

    public static void main(String[] args) {
        VozovyPark vp = new VozovyPark();
        System.out.println(vp.najdi(new Zasilka(15), 20));
    }



}
